using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using Database.Repository;

namespace Pos.Setting
{
    /// <summary>
    /// Interaction logic for EditEmployeeWindow.xaml
    /// </summary>
    public partial class EditEmployeeWindow : Window
    {
        private int _employeeId;

        public EditEmployeeWindow(int employeeId, string staffName)
        {
            _employeeId = employeeId;
            InitializeComponent();
            txtEmployee.Text = staffName;
        }

        private void btnEdit_Click(object sender, RoutedEventArgs e)
        {
            EmployeeRepository employeeRepository = new EmployeeRepository();
            employeeRepository.Edit(_employeeId,txtEmployee.Text);
            this.Close();
        }
    }
}
